<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Lexer/Queue.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Lexer::Queue</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>
</div><div class="class-name">class <a href="../Lexer.html" >Lexer</a>::Queue

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Lexer.hh.html" target="detail">../Synopsis/Lexer.hh</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"><p>a Queue is used to read in tokens from a stream
without consuming them</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Typedefs Summary:</div>
<div class="item"><div class="synopsis">std::deque&lt;<a href="../Token.html" >Token</a>&gt; <a class="name" id="Container">Container</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mContainer" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line57" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">Container::size_type <a class="name" id="size_type">size_type</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mLexer_mQueue_msize_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="empty_l_rconst">empty</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mempty_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Queue.html#size_type" >size_type</a> <a class="name" id="size_l_rconst">size</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mLexer_mQueue_msize_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="../Token.html" >Token</a>&amp; <a class="name" id="front_l_rconst">front</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mfront_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line62" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="../Token.html" >Token</a>&amp; <a class="name" id="back_l_rconst">back</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mback_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="../Token.html" >Token</a>&amp; <a class="name" id="at_lsize_type_rconst">at</a>(<a href="Queue.html#size_type" >size_type</a> <span class="variable">i</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mat_lsize_type_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line64" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="push_lconst.Token_A_r">push</a>(const&#160;<a href="../Token.html" >Token</a>&amp; <span class="variable">t</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mLexer_mQueue_mpush_lconst.Token_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line65" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="pop_l_r">pop</a>()  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis_mLexer_mQueue_mpop_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line66" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="clear_l_r">clear</a>()  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mclear_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Queue.html#Container" >Container</a> <a class="name" id="my_container">my_container</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mLexer_mQueue_mmy_container" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Lexer.hh.html#line69" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:43 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
